std::deque::~deque(3)

NAME
std::deque::~deque - std::deque::~deque

Synopsis
   ~deque();
   Destructs the deque. The destructors of the elements are called and the used storage
   is deallocated. Note, that if the elements are pointers, the pointed-to objects are
   not destroyed.

Complexity
   Linear in the size of the deque.